Bug 173109 - unicode_start say "utf8: no such file or directory"
unicode_start say "utf8: no such file or directory"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-14 03:58 EST by han pingtian
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 09:19:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description han pingtian 2005-11-14 03:58:02 EST
Description of problem:
I have a FC4 system updated from FC3. And I update it to most new packages.
But when I change the default lang to en_US.UTF-8, every time when I boot the
system, It says: "Setting default font (latarcyrheb-sun16):utf8:no such file or
directory.   [failed]". And When I login the console as root and type
"unicode_start latarcyrheb-sun16 utf8", it also prints "utf8:no such file or
directory."

Version-Release number of selected component (if applicable):
kbd-1.12-10

How reproducible:


Steps to Reproduce:
1.change defautl language to en_US.UTF-8
2.reboot and login at console as root
3.type "unicode_start latarcyrheb-sun16 utf8"
  
Actual results:
utf8: no such file or directory

Expected results:
success

Additional info:
my i18n:
LANG="en_US.UTF-8"
#LC_MESSAGES="en_US"
SUPPORTED="zh_HK.UTF-8:zh_HK:zh:zh_CN.GB18030:zh_CN:zh:zh_TW.UTF-8:zh_TW:zh:en_US.UTF-8:en_US:en"
SYSFONT="latarcyrheb-sun16"
SYSFONTACM="utf8"
Comment 1 Miloslav Trmač 2005-11-14 09:35:47 EST
SYSFONTACM should not be unset or empty, not "utf8".  What did you use to change
the default language?  system-config-language, manual editing, or some other
tool?
Comment 2 han pingtian 2005-11-14 19:26:05 EST
I use system-config-language.So the "utf8" is wrong?
Comment 3 Miloslav Trmač 2005-11-14 19:29:01 EST
Yes, please set SYSFONTACM="".

Looking at the code, s-c-language correctly replaces "utf8" by "" when creating
a new file, but leaves "utf8" in place when changing an existing file.
Comment 4 Christian Iseli 2007-01-22 06:46:27 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 han pingtian 2007-01-22 09:19:49 EST
OK, I think that this issue wouldn't appear in last Fedora release. Please close
it. Thanks.

Note You need to log in before you can comment on or make changes to this bug.